summaryrefslogtreecommitdiffstats
path: root/libraries/clutter
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:58:28 +0200
committer Michiel van Wessem2010-05-13 00:58:28 +0200
commitb5c66d0c087d656f260391948bd7969395e7610b (patch)
tree10d78104113ef261bfbf7a68b1df8c41214cc12c /libraries/clutter
parent6a1b467ddac17d747dd76d2d246931d4ce8c0af4 (diff)
downloadslackbuilds-b5c66d0c087d656f260391948bd7969395e7610b.tar.gz
libraries/clutter: Added to 13.0 repository
Diffstat (limited to 'libraries/clutter')
-rw-r--r--libraries/clutter/README2
-rw-r--r--libraries/clutter/clutter.SlackBuild80
-rw-r--r--libraries/clutter/clutter.info10
-rw-r--r--libraries/clutter/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/clutter/README b/libraries/clutter/README
new file mode 100644
index 0000000000..404652d846
--- /dev/null
+++ b/libraries/clutter/README
@@ -0,0 +1,2 @@
+Clutter is an open source software library for creating fast,
+visually rich, portable and animated graphical user interfaces.
diff --git a/libraries/clutter/clutter.SlackBuild b/libraries/clutter/clutter.SlackBuild
new file mode 100644
index 0000000000..550f6e3ae9
--- /dev/null
+++ b/libraries/clutter/clutter.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+#
+# Slackware build script for Clutter
+#
+# Copyright 2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=clutter
+VERSION=1.0.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static \
+ --enable-xinput \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CODING_STYLE COPYING ChangeLog ChangeLog.SVN \
+ HACKING HACKING.backends INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/clutter/clutter.info b/libraries/clutter/clutter.info
new file mode 100644
index 0000000000..2b347b0190
--- /dev/null
+++ b/libraries/clutter/clutter.info
@@ -0,0 +1,10 @@
+PRGNAM="clutter"
+VERSION="1.0.0"
+HOMEPAGE="http://www.clutter-project.org/"
+DOWNLOAD="http://www.clutter-project.org/sources/clutter/1.0/clutter-1.0.0.tar.gz"
+MD5SUM="dac6352daeef0926eab31c1a57e69148"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="michiel"
diff --git a/libraries/clutter/slack-desc b/libraries/clutter/slack-desc
new file mode 100644
index 0000000000..2223d19b5e
--- /dev/null
+++ b/libraries/clutter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+clutter: clutter (an open source software library)
+clutter:
+clutter: Clutter is an open source software library for creating fast,
+clutter: visually rich, portable and animated graphical user interfaces.
+clutter:
+clutter:
+clutter:
+clutter:
+clutter:
+clutter:
+clutter: